SQL windows - execute only selected part of a query.
Easy fix?: No Copied to github as #: 20021
Description

In the sql windows is it possible to execute only selected part of a query, in the same way of pgadmin?
It could be very useful in order to copy and paste multiple query and execute them at once.

History

#1 - 2014-12-05 03:12 AM - Regis Haubourg

+ 1 would be really helpfull!

#2 - 2014-12-05 03:21 AM - Giovanni Manghi

add to it the possibility to stop a query is running, like pgadmin does.

#3 - 2015-07-08 04:47 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Target version set to Version 2.10

- Status changed from Open to Closed

Hello,

the feature is implemented (from QGIS 2.8). You can select a part of the query and only the selected part is executed.

(Bug triage part)

For the stop query button feature there is already a ticket: #8157. So | close this bug because the feature mentionned in the bug report is implemented and
the second feature is already covered by a ticket.
